package org.jeecg.ctop.finance.policy.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.system.entity.SysUser;
import org.jeecg.ctop.finance.policy.entity.CwjsPolicyInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 政策信息表
 * @author jeecg-boot
 * 2021-07-27
 * @version V1.0
 */
public interface ICwjsPolicyInfoService extends IService<CwjsPolicyInfo> {
    List<CwjsPolicyInfo> queryPageList(CwjsPolicyInfo policyInfo);

    List<JSONObject> getAllSale();
    List<JSONObject> getAllSaleAndMeidaManager();

    List<Map<String,Object>> getAllOperationUser();

    List<JSONObject> getAllSaleByUserId(String userId);

    List<String> getAllSubordinate(String userId);

    List<JSONObject> getAllSubordinate2(String userId);

    boolean isExistCwjsPolicyInfo(CwjsPolicyInfo policyInfo);

    void updatePolicyInfoById(CwjsPolicyInfo policyInfo);
}
